Bug 1256093 - [abrt] nfoview: code_dealloc(): python3.4 killed by SIGSEGV
[abrt] nfoview: code_dealloc(): python3.4 killed by SIGSEGV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nfoview (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:496eb5e6cf83562488588820776...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-23 17:58 EDT by Sergio Monteiro Basto
Modified: 2015-11-24 14:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-24 14:38:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (79.25 KB, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: cgroup (189 bytes, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: core_backtrace (8.99 KB, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: dso_list (11.74 KB, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: environ (4.30 KB, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: exploitable (82 bytes, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: maps (58.60 KB, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: open_fds (622 bytes, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-08-23 17:58 EDT, Sergio Monteiro Basto
no flags Details

  None (edit)
Description Sergio Monteiro Basto 2015-08-23 17:58:12 EDT
Description of problem:
on closing this happens nothing serious 

Version-Release number of selected component:
nfoview-1.16-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/nfoview coming.soon.2008.dvdrip.xvid-asister.nfo
crash_function: code_dealloc
executable:     /usr/bin/python3.4
kernel:         4.1.6-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 code_dealloc at /usr/src/debug/Python-3.4.1/Objects/codeobject.c:364
 #3 func_dealloc at /usr/src/debug/Python-3.4.1/Objects/funcobject.c:555
 #4 sm_dealloc at /usr/src/debug/Python-3.4.1/Objects/funcobject.c:908
 #5 free_keys_object at /usr/src/debug/Python-3.4.1/Objects/dictobject.c:369
 #6 type_clear at /usr/src/debug/Python-3.4.1/Objects/typeobject.c:3110
 #7 delete_garbage at /usr/src/debug/Python-3.4.1/Modules/gcmodule.c:866
 #8 collect at /usr/src/debug/Python-3.4.1/Modules/gcmodule.c:1032
 #9 _PyGC_CollectNoFail at /usr/src/debug/Python-3.4.1/Modules/gcmodule.c:1638
 #10 PyImport_Cleanup at /usr/src/debug/Python-3.4.1/Python/import.c:483
 #11 Py_Finalize at /usr/src/debug/Python-3.4.1/Python/pythonrun.c:616
Comment 1 Sergio Monteiro Basto 2015-08-23 17:58:15 EDT
Created attachment 1066127 [details]
File: backtrace
Comment 2 Sergio Monteiro Basto 2015-08-23 17:58:16 EDT
Created attachment 1066128 [details]
File: cgroup
Comment 3 Sergio Monteiro Basto 2015-08-23 17:58:18 EDT
Created attachment 1066129 [details]
File: core_backtrace
Comment 4 Sergio Monteiro Basto 2015-08-23 17:58:19 EDT
Created attachment 1066130 [details]
File: dso_list
Comment 5 Sergio Monteiro Basto 2015-08-23 17:58:20 EDT
Created attachment 1066131 [details]
File: environ
Comment 6 Sergio Monteiro Basto 2015-08-23 17:58:21 EDT
Created attachment 1066132 [details]
File: exploitable
Comment 7 Sergio Monteiro Basto 2015-08-23 17:58:22 EDT
Created attachment 1066133 [details]
File: limits
Comment 8 Sergio Monteiro Basto 2015-08-23 17:58:24 EDT
Created attachment 1066134 [details]
File: maps
Comment 9 Sergio Monteiro Basto 2015-08-23 17:58:25 EDT
Created attachment 1066135 [details]
File: open_fds
Comment 10 Sergio Monteiro Basto 2015-08-23 17:58:27 EDT
Created attachment 1066136 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2015-11-04 05:43:39 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Sergio Monteiro Basto 2015-11-24 14:38:57 EST
This is fixed in F23 thanks

Note You need to log in before you can comment on or make changes to this bug.